sdl2-image-2.1.0.0: Haskell bindings to SDL2_image

Copyright | (c) 2015 Siniša Biđin 2021 Daniel Firth
License | MIT
Maintainer | sinisa@bidin.eu, dan.firth@homotopic.tech
Stability | experimental
Safe Haskell | None
Language | Haskell2010

SDL.Raw.Helper

Description

Exposes a way to automatically generate a foreign import alongside its lifted, inlined MonadIO variant. Use this to simplify the package's SDL.Raw.* modules.

Synopsis

- liftF :: String -> String -> Q Type -> Q [Dec]

# Documentation

liftF :: String -> String -> Q Type -> Q [Dec] Source #

Given a name `fname`, a name of a C function `cname` and the desired Haskell type `ftype`, this function generates:

- A foreign import of `cname`, named as `fname'`.
- An always-inline MonadIO version of `fname'`, named `fname`.